--- plugins/org.eclipse.swt/Eclipse_SWT_PI/gtk/library/make_gtk.mak.orig	Sat May 29 01:14:39 2004
+++ plugins/org.eclipse.swt/Eclipse_SWT_PI/gtk/library/make_gtk.mak	Wed Jun  9 12:34:48 2004
@@ -24,19 +24,21 @@
 
 ifeq ($(SWT_PTR_CFLAGS),-DSWT_PTR_SIZE_64)
 # 64 bit path
-JAVA_HOME		= /bluebird/teamswt/swt-builddir/jdk1.5.0
+JAVA_HOME		= /usr/local/jdk1.4.2
 AWT_LIB_PATH	= $(JAVA_HOME)/jre/lib/amd64
 XTEST_LIB_PATH  = /usr/X11R6/lib64
 else
 # 32 bit path
-JAVA_HOME		= /bluebird/teamswt/swt-builddir/IBMJava2-141
-AWT_LIB_PATH	= $(JAVA_HOME)/jre/bin
+JAVA_HOME		= /usr/local/jdk1.4.2
+AWT_LIB_PATH	= $(JAVA_HOME)/jre/lib/i386
 XTEST_LIB_PATH  = /usr/X11R6/lib
 endif
 
 #  mozilla source distribution folder
-MOZILLA_HOME = /mozilla/mozilla/1.6/linux_gtk2/mozilla/dist
-
+#MOZILLA_HOME = /mozilla/mozilla/1.6/linux_gtk2/mozilla/dist
+MOZILLA_INCLUDE = /usr/X11R6/include/mozilla
+MOZILLA_LIBDIR = /usr/X11R6/lib/mozilla
+  
 # Define the various shared libraries to be build.
 WS_PREFIX    		= gtk
 SWT_PREFIX   		= swt
@@ -67,15 +69,18 @@
 	-fno-rtti	\
 	-Wall	\
 	-I./ \
-	-I$(JAVA_HOME)	\
-	-include $(MOZILLA_HOME)/include/mozilla-config.h \
-	-I$(MOZILLA_HOME)/include \
-	-I$(MOZILLA_HOME)/include/xpcom \
-	-I$(MOZILLA_HOME)/include/string \
-	-I$(MOZILLA_HOME)/include/nspr \
-	-I$(MOZILLA_HOME)/include/embed_base \
-	-I$(MOZILLA_HOME)/include/gfx
-MOZILLALIBS = -L$(MOZILLA_HOME)/lib -lembed_base_s -lxpcom
+ 	-I$(JAVA_HOME)/include	\
+ 	-I$(JAVA_HOME)/include/freebsd	\
+ 	-include $(MOZILLA_INCLUDE)/mozilla-config.h \
+ 	-I$(MOZILLA_INCLUDE) \
+ 	-I$(MOZILLA_INCLUDE)/xpcom \
+ 	-I$(MOZILLA_INCLUDE)/string \
+ 	-I$(MOZILLA_INCLUDE)/nspr \
+ 	-I$(MOZILLA_INCLUDE)/embed_base \
+ 	-I$(MOZILLA_INCLUDE)/gfx
+
+#MOZILLALIBS = -L$(MOZILLA_HOME)/lib -lembed_base_s -lxpcom
+MOZILLALIBS = -L$(MOZILLA_LIBDIR) -lgtkembedmoz -lxpcom
 MOZILLALDFLAGS = -s
 
 SWT_OBJECTS		= swt.o callback.o
@@ -88,11 +93,14 @@
 CFLAGS = -O -Wall \
 		-DSWT_VERSION=$(SWT_VERSION) \
 		-DLINUX -DGTK \
-		-I$(JAVA_HOME)/include \
+		-I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/freebsd \
+		-I../../../Eclipse_SWT/common/library \
+		-I../../../Eclipse_SWT_PI/gtk/library \
+		-I/usr/X11R6/include \
 		-fpic \
 		${SWT_PTR_CFLAGS}
 
-LIBS = -shared -fpic
+LIBS = -shared -fpic -L$(JAVA_HOME)/jre/lib/i386
 
 #
 #  Target Rules
@@ -111,13 +119,13 @@
 	$(LD) $(LIBS) -o $(SWT_LIB) $(SWT_OBJECTS)
 
 callback.o: callback.c callback.h
-	$(CC) $(CFLAGS) -c callback.c
+	$(CC) $(CFLAGS) -c $<
 
 $(SWTPI_LIB): $(SWTPI_OBJECTS)
 	$(LD) $(LIBS) $(GTKLIBS) -o $(SWTPI_LIB) $(SWTPI_OBJECTS)
 
 swt.o: swt.c swt.h
-	$(CC) $(CFLAGS) -c swt.c
+	$(CC) $(CFLAGS) -c $<
 os.o: os.c os.h swt.h os_custom.h
 	$(CC) $(CFLAGS) $(GTKCFLAGS) -c os.c
 os_structs.o: os_structs.c os_structs.h os.h swt.h
@@ -161,13 +169,13 @@
 	$(LD) $(LIBS) $(GNOMELIBS) -o $(GNOME_LIB) $(GNOME_OBJECTS)
 
 gnome.o: gnome.c 
-	$(CC) $(CFLAGS) $(GNOMECFLAGS) -c gnome.c
+	$(CC) $(CFLAGS) $(GNOMECFLAGS) -c $<
 
 gnome_structs.o: gnome_structs.c 
-	$(CC) $(CFLAGS) $(GNOMECFLAGS) -c gnome_structs.c
+	$(CC) $(CFLAGS) $(GNOMECFLAGS) -c $<
 	
 gnome_stats.o: gnome_stats.c gnome_stats.h
-	$(CC) $(CFLAGS) $(GNOMECFLAGS) -c gnome_stats.c
+	$(CC) $(CFLAGS) $(GNOMECFLAGS) -c $<
 	
 #
 # Mozilla lib
@@ -178,7 +186,7 @@
 	$(CXX) $(LIBS) $(MOZILLALDFLAGS) -o $(MOZILLA_LIB) $(MOZILLA_OBJECTS) $(MOZILLALIBS)
 
 xpcom.o: xpcom.cpp
-	$(CXX) $(MOZILLACFLAGS) -c xpcom.cpp	
+	$(CXX) $(MOZILLACFLAGS) -c $<
 
 #
 # Clean
